#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2012, 2016. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# File for messages displayed by the upgrade automated scripts.
#
# ################################################################################


# *********************
# * Messages function *
# *********************
messages() {

case $1 in 

# *********************************
# * Initial verification messages *
# *********************************

INVALID_LAUNCH )
echo ""
echo "app_upgrade XNvg𒼐ڎsȂłB  AvP[VAbvO[hɂ́Âꂩ̃R}hs܂B"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "LR}h̏ڍׂɂẮA-help gpĂB"
;;

INVALID_START_DIR )
echo ""
echo "-help p[^[̎gpA$2 XNvg $3 Ƃ͕ʂ̃fBNg[s邱Ƃ͂ł܂B"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "t@Cu$2vɂ́AAbvO[hEXNvgp̃p[^[l܂܂Ă܂B"
echo "ftHgEp[^[l̂ꂩύXKvꍇ́Ãt@CҏW邩AAbvO[hEXNvg̃R}hsƂẴp[^[lwł܂B"
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "ȉ̃t@C̃Zbgɂ́AAvP[ṼAbvO[hp̃ftHgEp[^[l܂܂Ă܂B ftHgEp[^[l̂ꂩύXKvꍇ́Ãt@CҏW邩AAbvO[hEXNvg̃R}hsƂẴp[^[lwł܂B"
echo "- DM upgrade:   $2/params/dm_params$3.sh"
echo "- VVC upgrade:  $2/params/vvc_params$3.sh"
echo ""
;;


# ************************************
# * Parameters verification messages *
# ************************************

# Intrinsic verification
# ======================

MISSING_APP_TYPE )
echo ""
echo "AvP[VE^Cvw肳Ă܂BAvP[VAbvO[hɂ́Âꂩ̃R}hs܂B"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "LR}h̏ڍׂɂẮA-help gpĂB"
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2 ͗LȃAvP[VE^Cvł͂܂B AvP[VAbvO[hɂ́Âꂩ̃R}hs܂B"
echo "    dm_upgrade"
echo "    vvc_upgrade"
echo "LR}h̏ڍׂɂẮA-help gpĂB"
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "p[^[ $2 ̒lĂ܂B"
echo "p[^[̏ڍׂɂẮA-help gpĂB"
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "$2 p[^[Ɏw肳ꂽfBNg[ $3 ݂͑ȂA܂͖łB"
echo "p[^[̏ڍׂɂẮA-help gpĂB"
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "$2 p[^[Ɏw肳ꂽfBNg[ $3 ͐΃pXłȂ΂Ȃ܂B"
echo "p[^[̏ڍׂɂẮA-help gpĂB"
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "$2 p[^[Ɏw肳ꂽt@C $3 ݂͑ȂA܂͖łB"
echo "p[^[̏ڍׂɂẮA-help gpĂB"
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3 ́A$2 p[^[ɂ͖ȒlłB"
echo "p[^[̏ڍׂɂẮA-help gpĂB"
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2 ͕sȃp[^[łB"
echo "p[^[̏ڍׂɂẮA-help gpĂB"
echo ""
;;


# Extrinsic verification
# ======================

MISSING_HOME_PARAM )
echo ""
echo "z[EfBNg[Ep[^[ $2 Ă܂B"
echo "p[^[̏ڍׂɂẮA-help gpĂB"
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "fBNg[ $2 ݂͑ȂA܂͖łB"
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "AvP[V repotools R}hu$2v܂B"
echo ""
echo "-oldApplicationHome p[^[u$3vAÂT[o[\fBNg[ (Ⴆ΁uJazzInstallDir/server/confv) wĂ邱ƂmFĂB"
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "AvP[V repotools R}hu$2v܂B"
echo ""
echo "-oldApplicationHome p[^[u$3vAÂT[o[\fBNg[ (Ⴆ΁uJazzInstallDir/server/confv) wĂAjtsContextRoot p[^[u$4vƂmFĂB"
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "\t@Cu$2v܂B"
echo ""
echo "-oldApplicationHome p[^[u$3vAÂT[o[\fBNg[ (Ⴆ΁uJazzInstallDir/server/confv) wĂ邱ƂmFĂB"
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "\t@Cu$2v܂B"
echo ""
echo "-oldApplicationHome p[^[u$3vAÂT[o[\fBNg[ (Ⴆ΁uJazzInstallDir/server/confv) wĂAjtsContextRoot p[^[u$4vƂmFĂB"
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "AvP[V repotools R}hu$2v܂B"
echo ""
echo "-newApplicationHome p[^[ '$3' AVKAvP[VET[o[\fBNg[ (Ⴆ΁uJazzInstallDir/server/confv) wĂAjtsContextRoot p[^[u$4vƂmFĂB"
echo "[XAbvO[hĂꍇɂ́AReLXgE[gIĂ邱ƂmFĂB  Ⴆ΁AInstallation Manager gpĂꍇɂ́AuReLXgE[gEIvVvpl $5 ̃ReLXgE[gEIvVIKv܂B  ĕʂ̃IvVIꍇ́A$5 ̃ReLXgE[gEIvVgpĐiăCXg[ĂB"
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "\t@Cu$2v܂B"
echo ""
echo "-newApplicationHome p[^[u$3vAVK JTS T[o[\fBNg[ (Ⴆ΁uJazzInstallDir/server/confv) wĂAjtsContextRoot p[^[u$4vƂmFĂB"
echo "[XAbvO[hĂꍇɂ́AReLXgE[gIĂ邱ƂmFĂB  Ⴆ΁AInstallation Manager gpĂꍇɂ́AuReLXgE[gEIvVvpl $5 ̃ReLXgE[gEIvVIKv܂B  ĕʂ̃IvVIꍇ́A$5 ̃ReLXgE[gEIvVgpĐiăCXg[ĂB"
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "JTS repotools R}hu$2v܂B"
echo ""
echo "-oldJTSHome p[^[u$3vAÂ JTS T[o[\fBNg[ (Ⴆ΁uJazzInstallDir/server/confv) wĂAjtsContextRoot p[^[u$4vƂmFĂB"
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "\t@Cu$2v܂B"
echo ""
echo "-oldJTSHome p[^[u$3vAÂ JTS T[o[\fBNg[ (Ⴆ΁uJazzInstallDir/server/confv) wĂAjtsContextRoot p[^[u$4vƂmFĂB"
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "JTS repotools R}hu$2v܂B"
echo ""
echo "-newJTSHome p[^[u$3vAVK JTS T[o[\fBNg[ (Ⴆ΁uJazzInstallDir/server/confv) wĂAjtsContextRoot p[^[u$4vƂmFĂB"
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "\t@Cu$2v܂B"
echo ""
echo "-newJTSHome p[^[u$3vAVK JTS T[o[\fBNg[ (Ⴆ΁uJazzInstallDir/server/confv) wĂAjtsContextRoot p[^[u$4vƂmFĂB"
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "$2 ̃AbvO[hɂ́A2.x f[^܂ tar t@CKvłB"
echo "p[^[̏ڍׂɂẮA-help gpĂB"
echo ""
;;


# **********************
# * Execution messages *
# **********************

BANNER_dm )
echo ""
echo ""
echo "============================================="
echo "===    DM ̃AbvO[h    ==="
echo "============================================="
echo ""
;;

BANNER_vvc )
echo ""
echo ""
echo "============================================"
echo "===    VVC ̃AbvO[h    ==="
echo "============================================"
echo ""
;;


# *********************
# * First step switch *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "Ō̎sXebvŎs܂..."
;;

LAST_STEP_FAILED )
echo ""
echo "Ō̎sXebv $2 Ŏs܂..."
echo "̃Xebv܂͑ÕXebvAbvO[hĊJ܂?"
;;

ALREADY_RUN )
echo ""
echo "AbvO[h͊ɎsAɊ܂..."
echo "̃XebvVKAbvO[hĊJ܂?"
;;

LAST_STEP_PASSED )
echo ""
echo "Ō̎sXebv $2 Őɒ~܂..."
echo "݂̃Xebv $3 ܂͑ÕXebvAbvO[hĊJ܂?"
;;

ENTER_NEXT_STEP )
echo ""
echo "AbvO[hĊJXebv̔ԍ [$2-$3] ͂ĂBLZꍇ [Enter] L[Ă:"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "u$2v͔ԍł͂܂B LȃXebvԍ͂ĂB"
;;

INVALID_STEP_NUMBER )
echo ""
echo "u$2v͖ȃXebvԍłB LȃXebvԍ͂ĂB"
;;

MAX_STEP_NUMBER )
echo ""
echo "Ō̃Xebv̓Xebv $2 łBāAXebv $3 AbvO[hĊJ邱Ƃ͂ł܂B"
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "Xebv $2 ܂sĂȂ̂ŁAXebv $3 AbvO[hĊJ邱Ƃ͂ł܂B"
;;


# **********************
# * Messages for Steps *
# **********************

STEP_0_IBMi )
echo "Xebv 0: \܂"
echo "-------------------"
;;

STEP_0 )
echo "Xebv 0: \t@CXV܂"
echo "------------------------------------"
;;

STEP_1_ADD )
echo "Xebv 1: \ǉ܂"
echo "--------------------------"
;;

STEP_2_FIX_VERSION_TABLE )
echo "Xebv 2: o[W\C܂"
echo "--------------------------"
;;

FULL_TEXT_INDICES_STEP )
echo "Xebv $2: eLXgărh܂"
echo "----------------------------"
;;

JFS_INDICES_STEP )
echo "Xebv $2: Ɖьč쐬܂"
echo "-----------------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "Xebv 2: f[^EFAnEXEXL[}AbvO[h܂"
echo "--------------------------------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "$2 ̃AbvO[hXebv $3 Ŏs܂B  ĂAXebv $3 XNvgĎsĂB"
echo ""
;;

OVERALL_MIGRATION_SUCCESS_DM )
echo ""
echo "$2 ̃AbvO[hɊ܂B  JTS AbvO[hꍇ́ÃT[o[fvCgŒɎnł܂B"
echo ""
;;

OVERALL_MIGRATION_SUCCESS_VVC )
echo ""
echo "$2 ̃AbvO[hɊ܂B  JTS ƔCӂ̏]AvP[V (DM Ȃ) AbvO[hꍇ́ÃT[o[fvCgŒɎnł܂B"
echo ""
;;

# *******************************
# * Messages while running step *
# *******************************

STEP_DIR_CMD )
echo ""
echo "fBNg[: $2"
echo "R}h:"
;;

ENTER_STEP_ACTION )
echo "̃Xebvsɂ [E] L[ÃXebvXLbvɂ [S] L[AXNvg̎sLZɂ [Enter] L[Ă:"
;;

INVALID_STEP_ACTION )
echo ""
echo "u$2v͖ȓ͂łBĂ̂́uEvAuSvA܂́uEnterv݂̂ł"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "vi GfB^[JA$2 teamserver.properties t@CmF܂B"
echo "com.ibm.team.repository.server.webapp.url vpeB[ɂĎꂽpubN URI [gƂmFĂB"
echo "f[^x[XEvpeB[ƂmFĂB"
echo "AsύXΕۑAGfB^[ăXNvg̎s𑱍s܂B"
echo ""
;;

PAUSE )
echo ""
echo "s𑱍sꍇ [C] L[AXNvg̎sLZꍇ [Enter] L[ĂB"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "'$2' ͖ȓ͂łBĂ̂́uCvƁuEnterv݂̂łB"
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "eLXgu$2vu$3vɃRs[ł܂łB"
echo "teamserver.properties t@C com.ibm.team.fulltext.indexLocation vpeB["
echo "`Ă邱ƂmFĂB"
echo "eLXg蓮ł̃fBNg[ɃRs[邩A"
echo "repotools -rebuildTextIndices săeLXgărhĂB"
echo ""
;;

COPY_TRS_DB_FAILED )
echo ""
echo "TRS f[^x[Xu$2vu$3vɃRs[ł܂łB"
echo "teamserver.properties t@C com.ibm.xtools.trs.database vpeB["
echo "`Ă邱ƂmFĂB"
echo "TRS f[^x[XEfBNg[Kw蓮ŃRs[ĂB"
echo ""
;;

# *****************************************
# * Messages for Public URIs verification *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! G[ !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "$3 "
echo "pubN URI `ĂȂ߁A"
echo "AbvO[hJnł܂B"
echo ""
echo "̃t@Cɂ́Aȉ̂悤ɒ`ꂽpubN URI  1 KvłB"
echo "https\://hostname.example.com\:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "pubN URI vpeB[ com.ibm.team.repository.server.webapp.url Ateamserver.properties t@CɎw肳ĂKv܂B"
echo "̃vpeB[CXg[ς݊ teamserver.properties t@CɒǉAׂẴNCAgT[o[ɓB邽߂Ɏgp URI [gɂȂ悤ɒlݒ肵ĂB"
echo "pubN URI [ǵAVKCXg[ς݊@\邽߂ɕsłB ̃vpeB[ȂƁAAbvO[h͐ɍs܂B  "
echo "ڂ́ACtH[VEZ^[́wURI ̌vxgsbNQƂĂB"
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! G[ !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "$3 "
echo "`Ă邷ׂẴpubN URI "
echo "RgĂ邽߁AAbvO[hJnł܂B"
echo ""
echo "̃t@Cɂ́Aȉ̂悤ɒ`ꂽARgĂȂpubN URI  1 KvłB"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "pubN URI vpeB[ com.ibm.team.repository.server.webapp.url Ateamserver.properties t@CɎw肳ĂKv܂B"
echo "̃vpeB[CXg[ς݊ teamserver.properties t@CɒǉAׂẴNCAgT[o[ɓB邽߂Ɏgp URI [gɂȂ悤ɒlݒ肵ĂB"
echo "pubN URI [ǵAVKCXg[ς݊@\邽߂ɕsłB ̃vpeB[ȂƁAAbvO[h͐ɍs܂B"
echo "ڂ́ACtH[VEZ^[́wURI ̌vxgsbNQƂĂB"
echo ""
;;

CONTEXT_ROOTS_CANNOT_BE_EQUAL )
echo ""
echo "JTS ̃ReLXgE[g '$2' ɐݒ肳Ă܂B"
echo "AvP[ṼReLXgE[g '$3' ɐݒ肳Ă܂B"
echo "jts ƃAvP[ṼReLXgE[g𓯂ɂ邱Ƃ͂ł܂B"
echo ""
;;

esac

}
